<?xml version="1.0" encoding="UTF-8" ?>

<Form version="1.5" maxVersion="1.9" type="org.netbeans.modules.form.forminfo.JInternalFrameFormInfo">
  <SyntheticProperties>
    <SyntheticProperty name="formSizePolicy" type="int" value="1"/>
  </SyntheticProperties>
  <AuxValues>
    <AuxValue name="FormSettings_autoResourcing" type="java.lang.Integer" value="0"/>
    <AuxValue name="FormSettings_autoSetComponentName" type="java.lang.Boolean" value="false"/>
    <AuxValue name="FormSettings_generateFQN" type="java.lang.Boolean" value="true"/>
    <AuxValue name="FormSettings_generateMnemonicsCode" type="java.lang.Boolean" value="false"/>
    <AuxValue name="FormSettings_i18nAutoMode" type="java.lang.Boolean" value="false"/>
    <AuxValue name="FormSettings_layoutCodeTarget" type="java.lang.Integer" value="1"/>
    <AuxValue name="FormSettings_listenerGenerationStyle" type="java.lang.Integer" value="0"/>
    <AuxValue name="FormSettings_variablesLocal" type="java.lang.Boolean" value="false"/>
    <AuxValue name="FormSettings_variablesModifier" type="java.lang.Integer" value="2"/>
  </AuxValues>

  <Layout>
    <DimensionLayout dim="0">
      <Group type="103" groupAlignment="0" attributes="0">
          <Group type="102" alignment="0" attributes="0">
              <EmptySpace max="-2" attributes="0"/>
              <Group type="103" groupAlignment="0" attributes="0">
                  <Component id="jLabel1" min="-2" max="-2" attributes="0"/>
                  <Group type="102" attributes="0">
                      <Group type="103" groupAlignment="0" attributes="0">
                          <Group type="102" alignment="0" attributes="0">
                              <Group type="103" groupAlignment="0" attributes="0">
                                  <Component id="lblNamaBarang" alignment="0" min="-2" max="-2" attributes="0"/>
                                  <Component id="lblNamaBarang1" alignment="0" min="-2" pref="42" max="-2" attributes="0"/>
                                  <Component id="lblNamaBarang7" min="-2" pref="93" max="-2" attributes="0"/>
                                  <Component id="lblNamaBarang16" alignment="0" min="-2" max="-2" attributes="0"/>
                                  <Component id="lblNamaBarang9" alignment="0" min="-2" max="-2" attributes="0"/>
                              </Group>
                              <Group type="103" groupAlignment="0" attributes="0">
                                  <Group type="102" attributes="0">
                                      <EmptySpace min="-2" pref="16" max="-2" attributes="0"/>
                                      <Group type="103" groupAlignment="0" attributes="0">
                                          <Component id="txt_nama" alignment="1" min="-2" max="-2" attributes="0"/>
                                          <Component id="txt_id_pelanggan" alignment="1" min="-2" max="-2" attributes="0"/>
                                          <Component id="txt_jmlh_tagihan" alignment="1" min="-2" max="-2" attributes="0"/>
                                      </Group>
                                  </Group>
                                  <Group type="102" alignment="0" attributes="0">
                                      <EmptySpace min="-2" pref="18" max="-2" attributes="0"/>
                                      <Group type="103" groupAlignment="0" attributes="0">
                                          <Component id="input_biaya" min="-2" pref="238" max="-2" attributes="0"/>
                                          <Component id="input_status" min="-2" pref="238" max="-2" attributes="0"/>
                                      </Group>
                                  </Group>
                              </Group>
                          </Group>
                          <Group type="102" alignment="0" attributes="0">
                              <Component id="lblNamaBarang10" min="-2" pref="93" max="-2" attributes="0"/>
                              <EmptySpace type="separate" max="-2" attributes="0"/>
                              <Component id="txt_denda" min="-2" max="-2" attributes="0"/>
                          </Group>
                          <Group type="102" alignment="0" attributes="0">
                              <Component id="lblNamaBarang14" min="-2" pref="93" max="-2" attributes="0"/>
                              <EmptySpace type="separate" max="-2" attributes="0"/>
                              <Component id="txt_kembali" min="-2" max="-2" attributes="0"/>
                          </Group>
                          <Group type="102" alignment="0" attributes="0">
                              <Group type="103" groupAlignment="0" attributes="0">
                                  <Component id="lblNamaBarang12" min="-2" pref="93" max="-2" attributes="0"/>
                                  <Component id="lblNamaBarang2" alignment="0" min="-2" max="-2" attributes="0"/>
                              </Group>
                              <Group type="103" groupAlignment="0" attributes="0">
                                  <Group type="102" attributes="0">
                                      <EmptySpace type="separate" max="-2" attributes="0"/>
                                      <Component id="txt_total" min="-2" max="-2" attributes="0"/>
                                  </Group>
                                  <Group type="102" alignment="0" attributes="0">
                                      <EmptySpace min="-2" pref="18" max="-2" attributes="0"/>
                                      <Component id="input_bayar" min="-2" pref="238" max="-2" attributes="0"/>
                                  </Group>
                              </Group>
                          </Group>
                          <Group type="102" alignment="0" attributes="0">
                              <Group type="103" groupAlignment="0" max="-2" attributes="0">
                                  <Component id="btnDelete" alignment="0" max="32767" attributes="0"/>
                                  <Component id="btnAddNew1" alignment="0" min="-2" pref="106" max="-2" attributes="0"/>
                              </Group>
                              <EmptySpace type="unrelated" max="-2" attributes="0"/>
                              <Group type="103" groupAlignment="0" max="-2" attributes="0">
                                  <Component id="btnSave" max="32767" attributes="0"/>
                                  <Component id="btnCancel" min="-2" pref="111" max="-2" attributes="0"/>
                              </Group>
                              <EmptySpace type="separate" max="-2" attributes="0"/>
                              <Group type="103" groupAlignment="0" attributes="0">
                                  <Component id="btnUpdate" min="-2" max="-2" attributes="0"/>
                                  <Component id="btnClose" min="-2" pref="102" max="-2" attributes="0"/>
                              </Group>
                          </Group>
                      </Group>
                      <EmptySpace min="-2" pref="34" max="-2" attributes="0"/>
                      <Component id="jScrollPane1" pref="697" max="32767" attributes="0"/>
                  </Group>
              </Group>
              <EmptySpace min="-2" pref="44" max="-2" attributes="0"/>
          </Group>
      </Group>
    </DimensionLayout>
    <DimensionLayout dim="1">
      <Group type="103" groupAlignment="0" attributes="0">
          <Group type="102" alignment="0" attributes="0">
              <EmptySpace max="-2" attributes="0"/>
              <Component id="jLabel1" min="-2" max="-2" attributes="0"/>
              <EmptySpace min="-2" pref="15" max="-2" attributes="0"/>
              <Group type="103" groupAlignment="0" attributes="0">
                  <Group type="102" attributes="0">
                      <Group type="103" groupAlignment="3" attributes="0">
                          <Component id="lblNamaBarang" alignment="3" min="-2" max="-2" attributes="0"/>
                          <Component id="txt_id_pelanggan" alignment="3" min="-2" max="-2" attributes="0"/>
                      </Group>
                      <EmptySpace max="-2" attributes="0"/>
                      <Group type="103" groupAlignment="3" attributes="0">
                          <Component id="lblNamaBarang1" alignment="3" max="32767" attributes="0"/>
                          <Component id="txt_nama" alignment="3" min="-2" max="-2" attributes="0"/>
                      </Group>
                      <EmptySpace max="-2" attributes="0"/>
                      <Group type="103" groupAlignment="3" attributes="0">
                          <Component id="lblNamaBarang7" alignment="3" max="32767" attributes="0"/>
                          <Component id="txt_jmlh_tagihan" alignment="3" min="-2" max="-2" attributes="0"/>
                      </Group>
                      <EmptySpace max="-2" attributes="0"/>
                      <Group type="103" groupAlignment="3" attributes="0">
                          <Component id="lblNamaBarang16" alignment="3" min="-2" max="-2" attributes="0"/>
                          <Component id="input_biaya" alignment="3" min="-2" max="-2" attributes="0"/>
                      </Group>
                      <EmptySpace max="-2" attributes="0"/>
                      <Group type="103" groupAlignment="3" attributes="0">
                          <Component id="input_status" alignment="3" min="-2" max="-2" attributes="0"/>
                          <Component id="lblNamaBarang9" alignment="3" min="-2" max="-2" attributes="0"/>
                      </Group>
                      <EmptySpace max="-2" attributes="0"/>
                      <Group type="103" groupAlignment="3" attributes="0">
                          <Component id="lblNamaBarang10" alignment="3" max="32767" attributes="0"/>
                          <Component id="txt_denda" alignment="3" min="-2" max="-2" attributes="0"/>
                      </Group>
                      <EmptySpace max="-2" attributes="0"/>
                      <Group type="103" groupAlignment="3" attributes="0">
                          <Component id="lblNamaBarang2" alignment="3" min="-2" max="-2" attributes="0"/>
                          <Component id="input_bayar" alignment="3" min="-2" max="-2" attributes="0"/>
                      </Group>
                      <EmptySpace type="separate" max="-2" attributes="0"/>
                      <Group type="103" groupAlignment="3" attributes="0">
                          <Component id="lblNamaBarang12" alignment="3" max="32767" attributes="0"/>
                          <Component id="txt_total" alignment="3" min="-2" max="-2" attributes="0"/>
                      </Group>
                      <EmptySpace min="-2" pref="1" max="-2" attributes="0"/>
                      <Group type="103" groupAlignment="3" attributes="0">
                          <Component id="lblNamaBarang14" alignment="3" max="32767" attributes="0"/>
                          <Component id="txt_kembali" alignment="3" min="-2" max="-2" attributes="0"/>
                      </Group>
                      <EmptySpace min="-2" pref="51" max="-2" attributes="0"/>
                      <Group type="103" groupAlignment="3" attributes="0">
                          <Component id="btnAddNew1" alignment="3" min="-2" max="-2" attributes="0"/>
                          <Component id="btnSave" alignment="3" min="-2" max="-2" attributes="0"/>
                          <Component id="btnUpdate" alignment="3" min="-2" max="-2" attributes="0"/>
                      </Group>
                      <EmptySpace type="unrelated" max="-2" attributes="0"/>
                      <Group type="103" groupAlignment="3" attributes="0">
                          <Component id="btnDelete" alignment="3" min="-2" max="-2" attributes="0"/>
                          <Component id="btnCancel" alignment="3" min="-2" max="-2" attributes="0"/>
                          <Component id="btnClose" alignment="3" min="-2" max="-2" attributes="0"/>
                      </Group>
                      <EmptySpace min="-2" pref="105" max="-2" attributes="0"/>
                  </Group>
                  <Group type="102" alignment="0" attributes="0">
                      <Component id="jScrollPane1" min="-2" pref="403" max="-2" attributes="0"/>
                      <EmptySpace max="32767" attributes="0"/>
                  </Group>
              </Group>
          </Group>
      </Group>
    </DimensionLayout>
  </Layout>
  <SubComponents>
    <Component class="javax.swing.JLabel" name="lblNamaBarang1">
      <Properties>
        <Property name="text" type="java.lang.String" value="Nama"/>
      </Properties>
    </Component>
    <Component class="javax.swing.JButton" name="btnUpdate">
      <Properties>
        <Property name="icon" type="javax.swing.Icon" editor="org.netbeans.modules.form.editors2.IconEditor">
          <Image iconType="3" name="/iconpack/refresh.png"/>
        </Property>
        <Property name="text" type="java.lang.String" value="Perbaharui"/>
      </Properties>
      <Events>
        <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="btnUpdateActionPerformed"/>
      </Events>
    </Component>
    <Component class="javax.swing.JButton" name="btnCancel">
      <Properties>
        <Property name="icon" type="javax.swing.Icon" editor="org.netbeans.modules.form.editors2.IconEditor">
          <Image iconType="3" name="/iconpack/cancel.png"/>
        </Property>
        <Property name="text" type="java.lang.String" value="Batalkan"/>
      </Properties>
      <Events>
        <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="btnCancelActionPerformed"/>
      </Events>
    </Component>
    <Component class="javax.swing.JLabel" name="lblNamaBarang2">
      <Properties>
        <Property name="text" type="java.lang.String" value="Bayar"/>
      </Properties>
    </Component>
    <Component class="javax.swing.JButton" name="btnDelete">
      <Properties>
        <Property name="icon" type="javax.swing.Icon" editor="org.netbeans.modules.form.editors2.IconEditor">
          <Image iconType="3" name="/iconpack/remove.png"/>
        </Property>
        <Property name="text" type="java.lang.String" value="Hapus"/>
      </Properties>
      <Events>
        <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="btnDeleteActionPerformed"/>
      </Events>
    </Component>
    <Component class="javax.swing.JButton" name="btnClose">
      <Properties>
        <Property name="icon" type="javax.swing.Icon" editor="org.netbeans.modules.form.editors2.IconEditor">
          <Image iconType="3" name="/iconpack/close.png"/>
        </Property>
        <Property name="text" type="java.lang.String" value="Tutup"/>
      </Properties>
      <Events>
        <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="btnCloseActionPerformed"/>
      </Events>
    </Component>
    <Component class="javax.swing.JLabel" name="jLabel1">
      <Properties>
        <Property name="font" type="java.awt.Font" editor="org.netbeans.beaninfo.editors.FontEditor">
          <Font name="Fira Sans Semi-Light" size="14" style="1"/>
        </Property>
        <Property name="text" type="java.lang.String" value="Form Pembayaran"/>
      </Properties>
    </Component>
    <Component class="javax.swing.JLabel" name="lblNamaBarang">
      <Properties>
        <Property name="text" type="java.lang.String" value="ID Pelanggan"/>
      </Properties>
    </Component>
    <Component class="javax.swing.JButton" name="btnAddNew1">
      <Properties>
        <Property name="icon" type="javax.swing.Icon" editor="org.netbeans.modules.form.editors2.IconEditor">
          <Image iconType="3" name="/iconpack/add.png"/>
        </Property>
        <Property name="text" type="java.lang.String" value="Tambah"/>
      </Properties>
      <Events>
        <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="btnAddNew1ActionPerformed"/>
      </Events>
    </Component>
    <Component class="javax.swing.JButton" name="btnSave">
      <Properties>
        <Property name="icon" type="javax.swing.Icon" editor="org.netbeans.modules.form.editors2.IconEditor">
          <Image iconType="3" name="/iconpack/save.png"/>
        </Property>
        <Property name="text" type="java.lang.String" value="Simpan"/>
      </Properties>
      <Events>
        <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="btnSaveActionPerformed"/>
      </Events>
    </Component>
    <Component class="javax.swing.JLabel" name="txt_id_pelanggan">
      <Properties>
        <Property name="text" type="java.lang.String" value="ID Pelanggan"/>
      </Properties>
    </Component>
    <Component class="javax.swing.JLabel" name="txt_nama">
      <Properties>
        <Property name="text" type="java.lang.String" value="ID Pelanggan"/>
      </Properties>
    </Component>
    <Component class="javax.swing.JLabel" name="lblNamaBarang7">
      <Properties>
        <Property name="text" type="java.lang.String" value="Jumlah Tagihan"/>
      </Properties>
    </Component>
    <Component class="javax.swing.JLabel" name="txt_jmlh_tagihan">
      <Properties>
        <Property name="text" type="java.lang.String" value="ID Pelanggan"/>
      </Properties>
    </Component>
    <Component class="javax.swing.JLabel" name="lblNamaBarang9">
      <Properties>
        <Property name="text" type="java.lang.String" value="Status"/>
      </Properties>
    </Component>
    <Component class="javax.swing.JLabel" name="lblNamaBarang10">
      <Properties>
        <Property name="text" type="java.lang.String" value="Denda"/>
      </Properties>
    </Component>
    <Component class="javax.swing.JLabel" name="txt_denda">
      <Properties>
        <Property name="text" type="java.lang.String" value="ID Pelanggan"/>
      </Properties>
    </Component>
    <Component class="javax.swing.JLabel" name="lblNamaBarang12">
      <Properties>
        <Property name="text" type="java.lang.String" value="Sub Total"/>
      </Properties>
    </Component>
    <Component class="javax.swing.JLabel" name="txt_total">
      <Properties>
        <Property name="text" type="java.lang.String" value="ID Pelanggan"/>
      </Properties>
    </Component>
    <Component class="javax.swing.JLabel" name="lblNamaBarang14">
      <Properties>
        <Property name="text" type="java.lang.String" value="Kembali"/>
      </Properties>
    </Component>
    <Component class="javax.swing.JLabel" name="txt_kembali">
      <Properties>
        <Property name="text" type="java.lang.String" value="ID Pelanggan"/>
      </Properties>
    </Component>
    <Component class="javax.swing.JLabel" name="lblNamaBarang16">
      <Properties>
        <Property name="text" type="java.lang.String" value="Biaya Admin"/>
      </Properties>
    </Component>
    <Container class="javax.swing.JScrollPane" name="jScrollPane1">
      <AuxValues>
        <AuxValue name="autoScrollPane" type="java.lang.Boolean" value="true"/>
      </AuxValues>

      <Layout class="org.netbeans.modules.form.compat2.layouts.support.JScrollPaneSupportLayout"/>
      <SubComponents>
        <Component class="javax.swing.JTable" name="table">
          <Properties>
            <Property name="model" type="javax.swing.table.TableModel" editor="org.netbeans.modules.form.editors2.TableModelEditor">
              <Table columnCount="7" rowCount="4">
                <Column editable="false" title="ID Pelanggan" type="java.lang.Object"/>
                <Column editable="false" title="Nama" type="java.lang.Object"/>
                <Column editable="false" title="Jumlah Tagihan" type="java.lang.Object"/>
                <Column editable="false" title="Biaya Admin" type="java.lang.Object"/>
                <Column editable="false" title="Denda" type="java.lang.Object"/>
                <Column editable="false" title="Total Bayar" type="java.lang.Object"/>
                <Column editable="false" title="Kembali" type="java.lang.Object"/>
              </Table>
            </Property>
            <Property name="tableHeader" type="javax.swing.table.JTableHeader" editor="org.netbeans.modules.form.editors2.JTableHeaderEditor">
              <TableHeader reorderingAllowed="true" resizingAllowed="true"/>
            </Property>
          </Properties>
          <Events>
            <EventHandler event="mouseClicked" listener="java.awt.event.MouseListener" parameters="java.awt.event.MouseEvent" handler="tableMouseClicked"/>
          </Events>
          <AuxValues>
            <AuxValue name="JavaCodeGenerator_CreateCodeCustom" type="java.lang.String" value="new javax.swing.JTable(){&#xa;    public boolean isCellEditable(int rowIndex, int colIndex) {&#xa;        return false;&#xa;    }}"/>
          </AuxValues>
        </Component>
      </SubComponents>
    </Container>
    <Component class="javax.swing.JFormattedTextField" name="input_bayar">
      <Properties>
        <Property name="formatterFactory" type="javax.swing.JFormattedTextField$AbstractFormatterFactory" editor="org.netbeans.modules.form.editors.AbstractFormatterFactoryEditor">
          <Format format="#0" subtype="-1" type="0"/>
        </Property>
      </Properties>
      <Events>
        <EventHandler event="focusLost" listener="java.awt.event.FocusListener" parameters="java.awt.event.FocusEvent" handler="input_bayarFocusLost"/>
      </Events>
    </Component>
    <Component class="javax.swing.JFormattedTextField" name="input_status">
      <Properties>
        <Property name="formatterFactory" type="javax.swing.JFormattedTextField$AbstractFormatterFactory" editor="org.netbeans.modules.form.editors.AbstractFormatterFactoryEditor">
          <Format format="#0" subtype="-1" type="0"/>
        </Property>
      </Properties>
      <Events>
        <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="input_statusActionPerformed"/>
      </Events>
    </Component>
    <Component class="javax.swing.JFormattedTextField" name="input_biaya">
      <Properties>
        <Property name="formatterFactory" type="javax.swing.JFormattedTextField$AbstractFormatterFactory" editor="org.netbeans.modules.form.editors.AbstractFormatterFactoryEditor">
          <Format format="#0" subtype="-1" type="0"/>
        </Property>
      </Properties>
      <Events>
        <EventHandler event="focusLost" listener="java.awt.event.FocusListener" parameters="java.awt.event.FocusEvent" handler="input_biayaFocusLost"/>
      </Events>
    </Component>
  </SubComponents>
</Form>
